# GPD Win 3 device quirks

This is an overview of quirks that you should be aware of while using the GPD Win 3, some are hardware and others are Linux-specific.

## Mouse/gamepad toggle "disconnects" gamepad

The GPD has a switch that let's you swap between mouse mode and gamepad mode.

Gamepad mode emulates an Xbox 360 gamepad, so most software should be very compatible.

However, the gamepad is "disconnected" when the switch is set to mouse mode. This means that software incapable of detecting new controllers while running may struggle with it.

For example the Dolphin emulator generally doesn't properly detect a reconnected gamepad. So you must keep the Win 3 in gamepad mode when starting Dolphin and using it. If you switch it to mouse mode, Dolphin will not detect the controller after you return to gamepad mode. You will have to restart Dolphin (while keeping the Win 3 in gamepad mode) for the controls to start working again.

The vast majority of software can handle you unplugging your gamepad and plugging it back in. But some software doesn't, and in those cases this might be a pain in the bum.

## Startup / Shutdown takes a while

For some reason the GPD Win 3 takes almost a minute to shut down or start up. Not sure if it's because Ubuntu hangs at some step or similar. Haven't cared too much since suspending and waking from sleep is still relatively fast.

## Speaker often "pops" when starting audio playback

This is a hardware "issue". The speakers in the Win 3 simply make a pop when they receive a new signal and get activated.  
I only encountered this issue on Arch Linux for some reason, not on Ubuntu.

To workaround this, edit `/etc/pulse/default.pa` and comment out the following line:

```
load-module module-suspend-on-idle
```

When you comment out that line, Pulseaudio should no longer put the sound card into standby when no audio has been played for a while, and instead keeps it active. This might cause a slight increase in power consumption but should get rid of the pops when starting/stopping playback.
